{
  "name": "train-watcher-frontend",
  "private": true,
  "version": "0.1.0",
  "type": "module",
  "packageManager": "pnpm@10.12.1",
  "scripts": {
    "dev": "vite --host 0.0.0.0",
    "build": "tsc -b && vite build",
    "typecheck": "tsc -b",
    "lint": "eslint ."
  },
  "dependencies": {
    "@tanstack/react-query": "^5.77.2",
    "@tanstack/react-router": "^1.120.15",
    "react": "^19.1.0",
    "react-dom": "^19.1.0"
  },
  "devDependencies": {
    "@eslint/js": "^9.27.0",
    "@types/react": "^19.1.5",
    "@types/react-dom": "^19.1.5",
    "@vitejs/plugin-react": "^4.5.0",
    "eslint": "^9.27.0",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.20",
    "globals": "^16.2.0",
    "typescript": "^5.8.3",
    "typescript-eslint": "^8.32.1",
    "vite": "^6.3.5"
  }
}
